> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.middesk.com/accelerate-onboarding/score/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server. # Score a business profile > Score a business profile using Signal through the Dashboard or API to receive an instant risk assessment based on business name, address, and optional TIN/EIN and people data. Score a business using Signal with the Middesk Dashboard or API. ## Score in the Dashboard #### Order a Signal report Order a Signal report in the Dashboard by navigating to the Signal Icon. To run Signal, you must provide at least the business name and associated address, but submitting TIN/EIN and associated people provides additional insights on those attributes. #### Generate the report Click the **Order Signal** button to generate the Signal report. #### Order a detailed report Once the report is ready, order a more detailed Business Verification and Credit Assessment report by clicking the **Order Report** button in the upper right corner. In both the [Dashboard](https://app.middesk.com/settings/batches) and through the [POST /signals endpoint](/api-reference/business-verification/signals/create-a-signal), you can also run a batch of businesses past Signal. To retrieve the results, use the [GET /signals endpoint](/api-reference/business-verification/signals/list-signals). ## Score using the API The [Middesk quickstart](/quickstart) walks you through how to obtain your API key and make your first API request. To learn more about the Middesk testing environment, webhooks, and authentication, see [Implement webhooks ](/build/webhooks). To score using the API: #### \[Create a Signal request]\(/api-reference/business-verification/signals/create-a-signal) 1. The required inputs for the Signal product are the business name and associated address. For additional insights, also include optional fields such as TIN/EIN (taxpayer identification number) and associated people for each business. 2. If your application flow collects multiple addresses (like mailing versus physical addresses) and associated business owners/individuals, you can also pass them through the [POST /signals endpoint](/api-reference/business-verification/signals/create-a-signal). 3. If you plan to store the Signal report as an object in your database with your identifier, pass your external ID in the API request; otherwise, you can use the returned Signal ID for reference. \ | Body Parameters | Required vs. Recommended | | :--------------------------- | :----------------------- | | Name (string) | Required | | Addresses (array of strings) | Required | | People (array of strings) | Recommended | | TIN (string) | Recommended | | External\_ID (string) | Recommended | \ #### Receive the Signal response The [POST /signals endpoint](/api-reference/business-verification/signals/create-a-signal) is instant, meaning you receive an immediate and complete response. Middesk does not provide webhooks for the Signal endpoints as it’s a synchronous workflow. Middesk recommends storing the Signal ID for future reference, along with other relevant fields like reason codes, external ID, or timestamps. If needed, you can always retrieve the complete Signal response later by calling the [GET /signals endpoint](/api-reference/business-verification/signals/retrieve-a-signal). \ ```json { "object": "signal", "id": "d59b244c-540a-4354-822e-2ef705baea36", "created_at": "2024-07-29T22:12:16.936Z", "external_id": null, "name": "Example Business, LLC", "tin": null, "addresses": [ "123 Main St., San Francisco, CA 94105" ], "people": [ "Business Owner" ], "score": 0.81, "identification_score": 0.91, "verification_score": 0.62, "evaluation_score": 0.88, "reasons": [ { "category": "identification", "group": "customer_information", "description": "The submitted business name is correct", "code": "I301" }, { "category": "identification", "group": "customer_information", "description": "The submitted address belongs to the business", "code": "I107" }, { "category": "identification", "group": "compliance", "description": "There are no OFAC or sanctions results for the business", "code": "I201" }, { "category": "identification", "group": "compliance", "description": "There are no OFAC or sanctions results for the people submitted", "code": "I202" }, { "category": "verification", "group": "government_filings", "description": "The business is registered in only a single state", "code": "V102" }, { "category": "verification", "group": "government_filings", "description": "The business is registered in a common formation state", "code": "V103" }, { "category": "verification", "group": "address_verification", "description": "At least one submitted address is a commercial address", "code": "V749" }, { "category": "verification", "group": "address_verification", "description": "At least one submitted address is a registered agent address", "code": "V750" }, { "category": "evaluation", "group": "fraud", "description": "The business was formed more than 2 years ago", "code": "E500" }, { "category": "evaluation", "group": "creditworthiness", "description": "The business has never filed for bankruptcy", "code": "E1101" } ], "requester": { "id": "12572330-aed2-4b8e-8c78-ad700d5ce2ab", "type": "user", "name": "Requesting User" } } ``` \ > **Get a demo** > > Contact your account manager or [contact sales](https://www.middesk.com/contact-sales) to inquire about access. > Score a business profile using Signal through the Dashboard or API to receive an instant risk assessment based on business name, address, and optional TIN/EIN and people data.